GET /v1/dataProducts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DataProducts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DataProducts.get_versions("b1839f98-f046-5f35-bdef-20f9b3395cb2")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dp_v1 = DataProducts.get_specific_version(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
"0.1"
)
print(f"Original description: {dp_v1.description}")
import static org.openmetadata.sdk.fluent.DataProducts.*;
// List all versions
var history = DataProducts.getVersions("b1839f98-f046-5f35-bdef-20f9b3395cb2");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = DataProducts.getSpecificVersion(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dataProduct",
"versions": [
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.2,\"description\":\"Updated description\"}",
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.1,\"description\":\"Curated customer analytics data product\"}"
]
}
Data Product Versions
List and retrieve historical versions of a data product
GET
/
v1
/
dataProducts
/
{id}
/
versions
GET /v1/dataProducts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DataProducts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DataProducts.get_versions("b1839f98-f046-5f35-bdef-20f9b3395cb2")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dp_v1 = DataProducts.get_specific_version(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
"0.1"
)
print(f"Original description: {dp_v1.description}")
import static org.openmetadata.sdk.fluent.DataProducts.*;
// List all versions
var history = DataProducts.getVersions("b1839f98-f046-5f35-bdef-20f9b3395cb2");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = DataProducts.getSpecificVersion(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dataProduct",
"versions": [
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.2,\"description\":\"Updated description\"}",
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.1,\"description\":\"Curated customer analytics data product\"}"
]
}
Data Product Versions
Every change to a data product entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the data product.
Get Specific Version
UseGET /v1/dataProducts/{id}/versions/{version} to retrieve a specific version.
UUID of the data product.
Version number to retrieve (e.g.,
0.2).GET /v1/dataProducts/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import DataProducts
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = DataProducts.get_versions("b1839f98-f046-5f35-bdef-20f9b3395cb2")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dp_v1 = DataProducts.get_specific_version(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
"0.1"
)
print(f"Original description: {dp_v1.description}")
import static org.openmetadata.sdk.fluent.DataProducts.*;
// List all versions
var history = DataProducts.getVersions("b1839f98-f046-5f35-bdef-20f9b3395cb2");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = DataProducts.getSpecificVersion(
"b1839f98-f046-5f35-bdef-20f9b3395cb2",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dataProducts/b1839f98-f046-5f35-bdef-20f9b3395cb2/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dataProduct",
"versions": [
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.2,\"description\":\"Updated description\"}",
"{\"id\":\"b1839f98-f046-5f35-bdef-20f9b3395cb2\",\"name\":\"CustomerInsights\",\"fullyQualifiedName\":\"Marketing.CustomerInsights\",\"version\":0.1,\"description\":\"Curated customer analytics data product\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full data product object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Data product or version does not exist |
Was this page helpful?
⌘I